Bug 243695 - Review Request: perl-Crypt-Simple - Encrypt stuff simply
Review Request: perl-Crypt-Simple - Encrypt stuff simply
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-11 09:48 EDT by Allisson Azevedo
Modified: 2010-05-13 18:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-25 16:23:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Allisson Azevedo 2007-06-11 09:48:59 EDT
Spec URL: http://fedora.allisson.eti.br/perl-Crypt-Simple/perl-Crypt-Simple.spec
SRPM URL: http://fedora.allisson.eti.br/perl-Crypt-Simple/perl-Crypt-Simple-0.06-1.fc7.src.rpm

Description: This little module will convert all your data into nice base64 text that you can save in a text file, send in an email, store in a cookie or web
page, or bounce around the Net. The data you encrypt can be as simple or
as complicated as you like.
Comment 1 Jason Tibbitts 2007-06-15 14:47:32 EDT
This fails to build for me in rawhide; you'll need at least a build dependency
on perl(ExtUtils::MakeMaker) and from looking at the tests, you'll want
perl(Test::More) and probably perl(Test).  (Although the base Perl packate still
provides the latter, there's no guarantee that it will continue to do so.)
Comment 2 Allisson Azevedo 2007-06-23 14:08:13 EDT
Update package:

Spec URL: http://fedora.allisson.eti.br/perl-Crypt-Simple/perl-Crypt-Simple.spec
SRPM URL:
http://fedora.allisson.eti.br/perl-Crypt-Simple/perl-Crypt-Simple-0.06-2.fc7.src.rpm

Changelog:

- Add missing buildrequires
Comment 3 Jason Tibbitts 2007-06-24 02:52:11 EDT
Yep, that builds fine.  There's not much to it, is there?  Just three files, and
two of them are documentation.

Review:
* source files match upstream:
   3db6e7754eaa425ab2d958d40b62d2026b0b186cd576ee352b4c172fb52d8e17  
   Crypt-Simple-0.06.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl(Crypt::Simple)
   perl-Crypt-Simple = 0.06-2.fc8
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(Compress::Zlib)
   perl(Crypt::Blowfish)
   perl(Digest::MD5)
   perl(FreezeThaw)
   perl(MIME::Base64)
   perl(strict)
* %check is present and all tests pass:
   All tests successful.
   Files=6, Tests=31,  1 wallclock secs ( 0.46 cusr +  0.15 csys =  0.61 CPU)
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 4 Allisson Azevedo 2007-06-24 10:21:18 EDT
New Package CVS Request
=======================
Package Name: perl-Crypt-Simple
Short Description: Encrypt stuff simply
Owners: allisson@gmail.com
Branches: FC-6 F-7
Comment 5 Kevin Fenzi 2007-06-25 14:55:00 EDT
cvs done.
Comment 7 Emmanuel Seyman 2010-05-13 15:35:57 EDT
I'm adding perl-sig to InitialCC.

Package Change Request
======================
Package Name: perl-Crypt-Simple
Owners: eseyman
InitialCC: perl-sig
Comment 8 Dennis Gilmore 2010-05-13 18:47:33 EDT
CVS Done

Note You need to log in before you can comment on or make changes to this bug.